> For the complete documentation index, see [llms.txt](https://docs.yemreak.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yemreak.com/arsiv/programming/windows-10-icin-otomatik-mouse-ve-klavye-tetikleyicisi.md).

# Windows 10 için otomatik mouse ve klavye tetikleyicisi

Windows 10 için otomatik mouse ve klavye tetikleyicisi, YClicker

### Hızlı Bakış

* ⌨️ Mouse ve klavye basımlarını saniyede verilen miktar kadar tekrarlar
* 🔘 Başlat ve Durdur butonlarının ayrı olmasından dolayı tuş tetiklemeleri ile yanlışlıkla basımı engeller
* 💁‍♂️ İsteğe bağlı kısayollar ile otomatik basımları tetikleyebilirsiniz

### Resimler

![2sudAUa.png](https://i.imgur.com/2sudAUa.png)

![UlUZ3vj.png](https://i.imgur.com/UlUZ3vj.png)

### Exe Haline Çevirme

* `pip install -r requirements.txt` ile gereksinimleri indirin
* `pip install auto-py-exe` komutu ile paketi indirin
* One file ile tek dosya içerisinde sıkıştırılmış bir exe oluşturulur
* Window based ile konsolu açmadan pencere yapısında çalıştırır
* Icon yolu olarak exe dosyasında olmasını istediğiniz **ico** uzantılı dosya yolunu verin
* Additional Files kısmından kodumuzda kullanılan ek dizinleri ekleyin
* PyInstaller'ın ek dizinlerdeki yolları kodda bulabilmesi için en alttaki kodu kullanın
* Advanced alanında uygulamınızın ismini belirleyebilirsiniz

> 📢 Python 3.7 ve sonrası için sorun oluşması durumunda python 3.7 veya aşağısı indirin

![PjjXBso.png](https://i.imgur.com/PjjXBso.png)

```python
def resource_path(relative_path):
    """ Get absolute path to resource, works for dev and for PyInstaller """
    try:
        # PyInstaller creates a temp folder and stores path in _MEIPASS
        base_path = sys._MEIPASS
    except Exception:
        base_path = os.path.abspath(".")

    return os.path.join(base_path, relative_path)

self.window.iconphoto(True, PhotoImage(file = resource_path('images/icon.png')))

```

{% embed url="<https://github.com/yemreakcom/YClicker/tree/main>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.yemreak.com/arsiv/programming/windows-10-icin-otomatik-mouse-ve-klavye-tetikleyicisi.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
